#ifndef PS_ADDITIONALS_H
#define PS_ADDITIONALS_H

#include "pslib.h"

// Get a value from the metadata that we believe should be metadata.
psMetadata *psMetadataLookupMD(bool *status, const psMetadata *md, const char *key);

// Get a value from the metadata that we believe should be a string
char *psMetadataLookupString(bool *status, const psMetadata *md, const char *key);

papChip *psMetadataLookupChip(bool *status, const psMetadata *md, const char *key);
papCell *psMetadataLookupCell(bool *status, const psMetadata *md, const char *key);


// Print out the metadata
void psMetadataPrint(psMetadata *md, int level);

#endif
